Loading...
Searching...
No Matches
BALL::MolecularInteractions Class Reference

`#include <BALL/KERNEL/molecularInteractions.h>`

## Public Member Functions

| MolecularInteractions ()
void | clear ()
void | setThreshold (double threshold)
void | addInteraction (const Atom *atom, String interaction_type, double energy)
void | addInteraction (String interaction_type, double energy)
bool | hasInteraction (const Atom *atom, String interaction_type) const
double | getInteractionEnergy (const Atom *atom, String interaction_type) const
double | getInteractionEnergy (const Atom *atom, const list< String > &interaction_types) const
const std::map< const Atom *, double > * | getInteractions (String interaction_type) const
void | getInteractions (const std::list< String > &interaction_types, std::map< const Atom *, double > &interactions) const
double | getInteractionEnergy (String interaction_type) const
double | getInteractionEnergy (const std::list< String > &interaction_types) const
double | getInteractionEnergy () const

## Static Public Attributes

static bool | SAVE_ONLY_SUMS

## Detailed Description

Definition at line 11 of file molecularInteractions.h.

## Constructor & Destructor Documentation

## MolecularInteractions()

BALL::MolecularInteractions::MolecularInteractions | ( |  | ) |

## Member Function Documentation

## addInteraction() [1/2]

void BALL::MolecularInteractions::addInteraction | ( | const Atom * | atom,
|  | String | interaction_type,
|  | double | energy )

## addInteraction() [2/2]

void BALL::MolecularInteractions::addInteraction | ( | String | interaction_type,
|  | double | energy )

## clear()

void BALL::MolecularInteractions::clear | ( |  | ) |

## getInteractionEnergy() [1/5]

double BALL::MolecularInteractions::getInteractionEnergy | ( |  | ) | const

## getInteractionEnergy() [2/5]

double BALL::MolecularInteractions::getInteractionEnergy | ( | const Atom * | atom,
|  | const list< String > & | interaction_types ) const

## getInteractionEnergy() [3/5]

double BALL::MolecularInteractions::getInteractionEnergy | ( | const Atom * | atom,
|  | String | interaction_type ) const

## getInteractionEnergy() [4/5]

double BALL::MolecularInteractions::getInteractionEnergy | ( | const std::list< String > & | interaction_types | ) | const

## getInteractionEnergy() [5/5]

double BALL::MolecularInteractions::getInteractionEnergy | ( | String | interaction_type | ) | const

## getInteractions() [1/2]

void BALL::MolecularInteractions::getInteractions | ( | const std::list< String > & | interaction_types,
|  | std::map< const Atom *, double > & | interactions ) const

## getInteractions() [2/2]

const std::map< const Atom *, double > * BALL::MolecularInteractions::getInteractions | ( | String | interaction_type | ) | const

## hasInteraction()

bool BALL::MolecularInteractions::hasInteraction | ( | const Atom * | atom,
|  | String | interaction_type ) const

## setThreshold()

void BALL::MolecularInteractions::setThreshold | ( | double | threshold | ) |

## Member Data Documentation

## SAVE_ONLY_SUMS

bool BALL::MolecularInteractions::SAVE_ONLY_SUMS

static

Definition at line 15 of file molecularInteractions.h.